package it.integry.integrywmsnative.gest.prod_versamento_materiale.dto;

public enum OrdineLavorazioneStatoEnum {

    IN_CORSO("IN CORSO"),
    PROGRAMMATO("PROGRAMMATO"),
    PAUSA("IN PAUSA");



    private String text;
    OrdineLavorazioneStatoEnum(String text) {
        this.text = text;
    }
    public String getText() {
        return this.text;
    }

    public static OrdineLavorazioneStatoEnum fromString(String text) {
        for (OrdineLavorazioneStatoEnum b : OrdineLavorazioneStatoEnum.values()) {
            if (b.text.equalsIgnoreCase(text)) return b;
        }
        return null;
    }

}
